<div>
    <h2 data-translate="translatorApp.quantumDocument.home.title">Quantum Documents</h2>
    <jhi-alert></jhi-alert>
    <div class="container-fluid">
        <div class="row">
            <div class="col-xs-4 no-padding-left">
                <button class="btn btn-primary" ui-sref="quantum-document.new" >
                    <span class="glyphicon glyphicon-plus"></span>
                    <span  data-translate="translatorApp.quantumDocument.home.createLabel">
                        Create new Quantum Document
                    </span>
                </button>
            </div>
        </div>
    </div>
    <br/>
    <div class="table-responsive">
        <table class="jh-table table table-striped">
            <thead>
                <tr jh-sort="vm.predicate" ascending="vm.reverse" callback="vm.transition()">
                    <th jh-sort-by="id"><span data-translate="global.field.id">ID</span> <span class="glyphicon glyphicon-sort"></span></th>
                    <th jh-sort-by="user"><span data-translate="translatorApp.quantumDocument.user">User</span> <span class="glyphicon glyphicon-sort"></span></th>
                    <th jh-sort-by="text"><span data-translate="translatorApp.quantumDocument.text">Text</span> <span class="glyphicon glyphicon-sort"></span></th>
                    <th jh-sort-by="title"><span data-translate="translatorApp.quantumDocument.title">Title</span> <span class="glyphicon glyphicon-sort"></span></th>
                    <th jh-sort-by="autographers"><span data-translate="translatorApp.quantumDocument.autographers">Autographers</span> <span class="glyphicon glyphicon-sort"></span></th>
                    <th jh-sort-by="flag"><span data-translate="translatorApp.quantumDocument.flag">Flag</span> <span class="glyphicon glyphicon-sort"></span></th>
                    <th></th>
                </tr>
            </thead>
            <tbody>
                <tr ng-repeat="quantumDocument in vm.quantumDocuments track by quantumDocument.id">
                    <td><a ui-sref="quantum-document-detail({id:quantumDocument.id})">{{quantumDocument.id}}</a></td>
                    <td>{{quantumDocument.user}}</td>
                    <td>{{quantumDocument.text}}</td>
                    <td>{{quantumDocument.title}}</td>
                    <td>{{quantumDocument.autographers}}</td>
                    <td>{{quantumDocument.flag}}</td>
                    <td class="text-right">
                        <div class="btn-group flex-btn-group-container">
                            <button type="submit"
                                    ui-sref="quantum-document-detail({id:quantumDocument.id})"
                                    class="btn btn-info btn-sm">
                                <span class="glyphicon glyphicon-eye-open"></span>
                                <span class="hidden-xs hidden-sm" data-translate="entity.action.view"></span>
                            </button>
                            <button type="submit"
                                    ui-sref="quantum-document.edit({id:quantumDocument.id})"
                                    class="btn btn-primary btn-sm">
                                <span class="glyphicon glyphicon-pencil"></span>
                                <span class="hidden-xs hidden-sm" data-translate="entity.action.edit"></span>
                            </button>
                            <button type="submit"
                                    ui-sref="quantum-document.delete({id:quantumDocument.id})"
                                    class="btn btn-danger btn-sm">
                                <span class="glyphicon glyphicon-remove-circle"></span>
                                <span class="hidden-xs hidden-sm" data-translate="entity.action.delete"></span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
    <div class="text-center">
        <jhi-item-count page="vm.page" total="vm.queryCount" items-per-page="vm.itemsPerPage"></jhi-item-count>
        <uib-pagination class="pagination-sm" total-items="vm.totalItems" ng-model="vm.page" ng-change="vm.transition()"></uib-pagination>
    </div>
</div>
